program Project1;

uses
  Forms,
  Windows, Dialogs,
  Unit1 in 'Unit1.pas' {Form1};

{$R *.res}

var uchwytOkna :THandle;

begin
  uchwytOkna:=FindWindow('TForm1Unikalna',nil);
  if uchwytOkna<>0 then
    begin
    ShowMessage('Zablokowane wywolanie kolejnej instancji aplikacji');
    SetWindowPos(uchwytOkna,HWND_TOPMOST,0,0,0,0,SWP_NOMOVE or SWP_NOSIZE);
    Exit;
    end;

  Application.Initialize;
  Application.CreateForm(TForm1Unikalna, Form1);
  Application.Run;
end.
